HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

/system/db_observer_rules/{DB_Observer_Rules.name}

Path Params
string
required

Reference Resource: DB_Observer_Rules
Name used to identify each rule.

Body Params
column_names
array of strings
length ≤ 9223372036854776000

Name of the columns from the database table to monitor. This column value can be empty. If this column is left empty, the rule will not be activated and an error will be shown under status['error'].

column_names
boolean

Indicates whether the user has explicitly enabled this db observer rule.

filter_condition
object

This column value can be empty. Filter conditions are not mandatory, if they are not added, no filters will be applied to the rule.

int64

Indicates the amount of changes to be stored in the monitor type 'last-n'.

string
enum

For DB Observer 3 types of operations are allowed: last-n: Keep track of the last transactions going to the database. Unlike journal, this just keeps a finite, well-known number of transactions. count: Make a count of the number of operations going to the database. * journal: Register all the operations going to the database in a buffer. The content can be dumped in a file later. This column value can be empty. If this column is left empty, the rule will not be activated and an error will be shown under status['error'].

Allowed:
string
required

Reference Resource: DB_Observer_Rules
Name used to identify each rule.

operations
array of strings
length ≤ 4

Indicates the operation types that must be monitored. This column value can be empty. If this column is left empty, the rule will not be activated and an error will be shown under status['error'].

operations
string

Name of the the database table to monitor. This column value can be empty. If this column is left empty, the rule will not be activated and an error will be shown under status['error'].

Responses
204

No Content

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

415

Unsupported Media Type

500

Internal Server Error

501

Not Implemented

503

Service Unavailable

Language
Response
Click Try It! to start a request and see the response here!